class_name ETT_Global extends EffectTargetType

@export var global_node_name: StringName

func get_effect_target(owner: Node, prop_comp: Node) -> Object:
	if Engine.has_singleton(global_node_name):
		return Engine.get_singleton(global_node_name)
	
	return null
